BEGIN TRANSACTION;
CREATE TABLE IF NOT EXISTS "params" (
	"name"  TEXT NOT NULL UNIQUE,
	"value" TEXT NOT NULL
);
CREATE TABLE IF NOT EXISTS "registry" (
	"id"           INTEGER NOT NULL UNIQUE,
	"domain"       TEXT    NOT NULL UNIQUE,
	"username"     TEXT    NOT NULL,
	"last_renewal" TEXT    NOT NULL,
	PRIMARY KEY("id" AUTOINCREMENT)
);
CREATE TABLE IF NOT EXISTS "zones" (
	"id"       INTEGER NOT NULL UNIQUE,
	"zone"     TEXT    NOT NULL UNIQUE,
	"username" TEXT    NOT NULL,
	PRIMARY KEY("id" AUTOINCREMENT)
);
CREATE TABLE IF NOT EXISTS "users" (
	"id"                 INTEGER NOT NULL UNIQUE,
	"username"           TEXT    NOT NULL UNIQUE,
	"password"           TEXT    NOT NULL,
	"registration_date"  TEXT    NOT NULL,
	"bucket_tokens"      INTEGER NOT NULL,
	"bucket_last_update" INTEGER NOT NULL,
	"type"               TEXT    NOT NULL,
	PRIMARY KEY("id" AUTOINCREMENT)
);
CREATE TABLE IF NOT EXISTS "sites" (
	"id"            INTEGER NOT NULL UNIQUE,
	"username"      TEXT    NOT NULL,
	"site_dir"      TEXT    NOT NULL,
	"domain"        TEXT    NOT NULL UNIQUE,
	"domain_type"   TEXT    NOT NULL,
	"protocol"      TEXT    NOT NULL,
	"creation_date" TEXT    NOT NULL,
	PRIMARY KEY("id" AUTOINCREMENT)
);
INSERT INTO "params"("name", "value") VALUES("instance_bucket_tokens", "0");
INSERT INTO "params"("name", "value") VALUES("instance_bucket_last_update", "0");
COMMIT;
